Bug 397806 - Rectangle Selection Tool Rounded Corners ignored when painting
Summary: Rectangle Selection Tool Rounded Corners ignored when painting
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-23 19:51 UTC by mvowada
Modified: 2018-09-07 14:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mvowada 2018-08-23 19:51:20 UTC
Thanks to devs for the great news features added recently in Krita.

About the round corners of the Rectangular selection tool, it seems that they get ignored when painting (4.2.0-pre-alpha git 04931e4 - Ubuntu 14.04). 
My steps:

1. CTRL+R and set round corners to say 20px
2. click and drag to create a selection (pixel selection)
3. paint over its borders (I'm using the Dry Roller preset)

Actual Results: rounded corners get ignored (no problem in Vector mode)
Expected Results: respect rounded corners
Comment 1 Dmitry Kazakov 2018-08-27 13:28:53 UTC
Git commit 09e670a1354bb4b2216a3597da3c03e089e74ab0 by Dmitry Kazakov.
Committed on 27/08/2018 at 13:28.
Pushed by dkazakov into branch 'master'.

Fix rounded rectangular selection to actually work

M  +11   -1    plugins/tools/selectiontools/kis_tool_select_rectangular.cc

https://commits.kde.org/krita/09e670a1354bb4b2216a3597da3c03e089e74ab0
Comment 2 Halla Rempt 2018-09-07 14:26:17 UTC
Git commit 5ab43740102bcdc2399d74345ee769de004f5af6 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 07/09/2018 at 12:49.
Pushed by rempt into branch 'krita/4.1'.

Fix rounded rectangular selection to actually work

M  +11   -1    plugins/tools/selectiontools/kis_tool_select_rectangular.cc

https://commits.kde.org/krita/5ab43740102bcdc2399d74345ee769de004f5af6